
#include "io430.h"
#include "in430.h"

int main( void )
{
  // Stop watchdog timer to prevent time out reset
  WDTCTL = WDTPW + WDTHOLD;
  
  P3DIR=0xF0;//
  
  TACCR0 = 16384;//2Hz
  TACCR1 = 18204;//1.8Hz
  TACTL = TASSEL_1 + MC_2;                  // ACLK, conntineous mode
  TACCTL0 = CCIE;                           // CCR0 interrupt enabled
  TACCTL1 = CCIE;                           // CCR1 interrupt enabled
  
  _EINT();//globalna dozvola prekida- intrinsic funkcija deklarisana u "in430.h"
   
  while(1) {//beskonacna petlja
  }   
}

// Timer A0 interrupt service routine
#pragma vector=TIMERA0_VECTOR
__interrupt void Timer_A0 (void)
{
  P3OUT ^= 0x80;                            // Toggle LD4
  TACCR0 += 16384;                            // Add Offset to CCR0
}

// Timer A1 interrupt service routine
#pragma vector=TIMERA1_VECTOR
__interrupt void Timer_A1 (void)
{
  unsigned char vector_flags;
  vector_flags=TAIV;//ocitava TAIV registra i tako brise flag najviseg prioriteta
  P3OUT ^= 0x40;                            // Toggle LD3
  TACCR1 += 18204;                            // Add Offset to CCR0
}
