
#include "io430.h"

unsigned char counter=0;
unsigned char taster_past=0;
int wait_time=0;
void WriteLed (unsigned char);

int main( void )
{
  // Stop watchdog timer to prevent time out reset
  WDTCTL = WDTPW + WDTHOLD;
  
  P4DIR=0xFE;//segmenti
  P4OUT=0x00;//svi segmenti iskljuceni
  P5DIR=0x80;//selektovan prvi displej
  P5OUT=0x80;//ukljucen prvi displej
  
  while(1){//beskonacna petlja
    if (!(P1IN&0x04)) {//taster pritisnut 
      if (taster_past==0){//a u prethodnom prolasku nije bio pritisnut
        counter++;
        if (counter>9) counter=0;
        WriteLed(counter);
        taster_past=1;
      };
    }
    else {//taster otpusten
      taster_past=0;
    }    
    for (int i=0;i<wait_time;i++);//cekanje dok se bounceing "smiri"    
  };
}
